Page MenuHomePhabricator

Share panel tab interface broken in Media Viewer
Closed, ResolvedPublic

Description

The tabs don't appear:

Probably an effect of the OOUI update.

Event Timeline

Tgr created this task.Feb 14 2015, 2:03 AM
Tgr raised the priority of this task from to Unbreak Now!.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaViewer.
Tgr added a subscriber: Tgr.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 14 2015, 2:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gerritbot added a subscriber: gerritbot.

Change 190703 had a related patch set uploaded (by Gergő Tisza):
Fix share tabs

https://gerrit.wikimedia.org/r/190703

Patch-For-Review

Tgr added a comment.Feb 15 2015, 6:11 AM

This is broken in production, needs backport.

It seems MenuSelectWidget is not really what we should be using as it wants to close itself after every choose event. Presumably this change broke this horrible hack.

Also, the doc says "Note that MenuSelectWidgets themselves are not designed to be instantiated directly, rather subclassed and customized to be opened, closed, and displayed as needed."

Restored the hack for now as I don't have time for a proper solution, but this needs to be rewritten or it will break all the time.

Also, we need browser test coverage for the share panel.

Tgr claimed this task.Feb 15 2015, 6:13 AM
Tgr moved this task from Untriaged to Needs code review on the Multimedia board.
Gilles added a subscriber: Gilles.Feb 16 2015, 1:19 PM
In T89531#1039833, @Tgr wrote:

This is broken in production, needs backport.

Are you sure? Works fine for me on mediawiki.org, it's only broken on beta. The OOUI update is in the latest branch, which hasn't been deployed to production yet.

Change 190703 merged by jenkins-bot:
Fix share tabs

https://gerrit.wikimedia.org/r/190703

Tgr added a comment.Feb 16 2015, 6:27 PM

Are you sure? Works fine for me on mediawiki.org, it's only broken on beta. The OOUI update is in the latest branch, which hasn't been deployed to production yet.

I can reproduce on both mw.org and Wikipedia. Ibf7c99aa4aad1ccca67ae385612d0e45edcd3157 was merged two weeks ago, it's unrelated to the last OOUI update. (The reuse dialog code messes with OOUI internals so a change does not need to be breaking to break it.)

Change 191057 had a related patch set uploaded (by Gilles):
Fix share tabs

https://gerrit.wikimedia.org/r/191057

Patch-For-Review

Change 191057 merged by jenkins-bot:
Fix share tabs

https://gerrit.wikimedia.org/r/191057

Change 191062 had a related patch set uploaded (by Gilles):
Back porting Media Viewer share/embed fix

https://gerrit.wikimedia.org/r/191062

Patch-For-Review

Change 191065 had a related patch set uploaded (by Gilles):
Fix share tabs

https://gerrit.wikimedia.org/r/191065

Patch-For-Review

Change 191065 merged by jenkins-bot:
Fix share tabs

https://gerrit.wikimedia.org/r/191065

Change 191066 had a related patch set uploaded (by Gilles):
Back porting Media Viewer share/embed fix

https://gerrit.wikimedia.org/r/191066

Patch-For-Review

Change 191066 merged by jenkins-bot:
Back porting Media Viewer share/embed fix

https://gerrit.wikimedia.org/r/191066

Change 191062 merged by jenkins-bot:
Back porting Media Viewer share/embed fix

https://gerrit.wikimedia.org/r/191062

Gilles closed this task as Resolved.Feb 18 2015, 9:49 AM